## ibombshell 0~git20210528

=== ibombshell c2/requirements.txt ===
termcolor
gnureadline
pynput

## ibombshell 0~git20201107

=== debian/changelog ===
ibombshell (0~git20201107-0kali2) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Remove piuparts tests from CI
  [ Ben Wilson ]
  * Add executable to helper-script
  * New helper-script format
  * Remove template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Update Debian watch file
  * Update Debian watch file
  * Update Debian watch file (again)
  * Prepare for Release
  [ Kali Janitor ]
  * Update lintian override info format in d/source/lintian-overrides
    on line 1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Steev Klimaszewski <steev@kali.org>  Sat, 03 Dec 2022 20:53:36 -0600

ibombshell (0~git20201107-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file
  * New upstream version 0~git20201107
  * Refresh patches
  * Bump Standards-Version to 4.5.1
  * Update upstream homepage

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 07 Apr 2021 14:26:48 +0200

ibombshell (0~git20200226-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 27 Feb 2020 10:40:34 +0100

=== debian/control ===
Source: ibombshell
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.6.1
Homepage: https://github.com/Telefonica/ibombshell
Vcs-Browser: https://gitlab.com/kalilinux/packages/ibombshell
Vcs-Git: https://gitlab.com/kalilinux/packages/ibombshell.git

Package: ibombshell
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 powershell,
 python3-termcolor,
 python3-pynput
Description: Dynamic Remote Shell
 This package contains a tool written in Powershell that allows you to have a
 prompt at any time with post-exploitation functionalities (and in some cases
 exploitation). It is a shell that is downloaded directly to memory providing
 access to a large number of pentesting features. These functionalities can be
 downloaded directly to memory, in the form of a Powershell function. This form
 of execution is known as everywhere.
 .
 In addition, ibombshell provides a second execution mode called Silently, so
 the pentester can execute an instance of ibombshell (called warrior). The
 compromised computer will be connected to a C2 panel through HTTP. Therefore,
 it will be possible to control the warrior and be able to load functions in
 memory that help the pentester. This is happening whithin the
 post-exploitation phase.

=== debian/watch ===
version=4
opts=mode=git,pgpmode=none,pretty=0~git%cd.%h \
  https://github.com/Telefonica/ibombshell HEAD
# Use the following when upstream starts to tag releases:
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ibombshell-$1.tar.gz%" \
#   https://github.com/Telefonica/ibombshell/tags \
#   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ibombshell 0~git20210528

=== debian/changelog ===
ibombshell (0~git20210528-0kali1~jan+nus2) kali-bleeding-edge; urgency=low

  * New upstream snapshot.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Tue, 12 Apr 2022 14:47:07 -0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.6.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/Telefonica/ibombshell
 Vcs-Browser: https://gitlab.com/kalilinux/packages/ibombshell
 Vcs-Git: https://gitlab.com/kalilinux/packages/ibombshell.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ibombshell-$1.tar.gz%" \
   https://github.com/Telefonica/ibombshell/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
